## Script (Python) "getPageIllustrationUrl"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Get page illustration url
##

portal=context.portal_url.getPortalObject()
if context == portal :
  return '%s/home_illustration.jpg'

if context.aq_parent==portal and context.isDefaultPageInFolder():  
  return '%s/home_illustration.jpg' %context.portal_url()

folder=None

if context.isPrincipiaFolderish:
  folder = context
elif context.isDefaultPageInFolder():
  folder=context.aq_parent

if folder:
  contentFilter={}
  contentFilter['portal_type']='Image'
  contentFilter['Title']='illustration page'
  contentFilter['sort_on']='modified'
  contentFilter['sort_order']='reverse'
  contentFilter['sort_limit']=1
      
  imagesBrains = folder.getFolderContents(contentFilter=contentFilter)  
  
  if imagesBrains :
     return imagesBrains[0].getURL()

return False     
