# -*- coding: utf-8 -*-
"""
$Id: Install.py,v 1.1 2006/10/03 11:40:23 jmgrimaldi Exp $
"""
__author__  = ''
__docformat__ = 'restructuredtext'

# Python imports
from StringIO import StringIO
import string

# CMF imports
from Products.CMFCore.utils import getToolByName
from Products.CMFCore.CMFCorePermissions import ManagePortal

# Archetypes
from Products.Archetypes.Extensions.utils import install_subskin

# Product import
from Products.SANTOinternetSkin.config import PROJECTNAME, GLOBALS, DEPS

# def installDeps(self, out):
#     qi = getToolByName(self, 'portal_quickinstaller')
#     for dep in DEPS:
#         qi.installProduct(dep)
#     print >> out, 'Dependencies Installed'

def setupSkins(self, out):
    install_subskin(self, out, GLOBALS)
    print >> out, 'Skins Installed'

def setupCSS(self, out):
    # Register santointernet css
    ctool = getToolByName(self, 'portal_css')
    ctool.registerStylesheet('santointernet.css', title='SANTOinternet')
    print >> out, 'CSS installed'
    
def install(self):
    out = StringIO()

    # bugged, should switch install script to PloneInstallation for doing this...
    # installDeps(self, out)
    
    # Install skin
    setupSkins(self, out)
    
    # Install css
    setupCSS(self, out)
    
    out.write('Installation completed.\n')
    return out.getvalue()
